%global commit fae5d386889b9124fe40d8f7dfba0c07dc63dd50
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%define audacious_input_plugin_dir %(pkg-config --variable=input_plugin_dir audacious)

%global aud_plugin_api %(grep '[ ]*#define[ ]*_AUD_PLUGIN_VERSION[ ]\\+' %{_includedir}/audacious/plugin.h 2>/dev/null | sed 's!.*_AUD_PLUGIN_VERSION[ ]*\\([0-9]\\+\\).*!\\1!')
%if 0%{aud_plugin_api} > 0
%global aud_plugin_dep Requires: audacious(plugin-api)%{?_isa} = %{aud_plugin_api}
%endif

Name: xmp-plugin-audacious
Version: 4.0.0
Release: 0.4.20131107git%{shortcommit}%{?dist}
Summary: Multi-format module playback plugin for Audacious using libxmp
Group: Applications/Multimedia
Source0: https://github.com/cmatsuoka/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0: %{name}-rpm.patch
License: GPLv2+
URL: http://xmp.sourceforge.net/
BuildRequires: audacious-devel
BuildRequires: libxmp-devel
%if 0%{?fedora}
%{?aud_plugin_dep}
%else
Requires: audacious
%endif
Provides: audacious-plugin-xmp = %{version}-%{release}
Obsoletes: audacious-plugin-xmp < 3.5.0-4

%description
Libxmp is a library that renders module files to PCM data. It supports
over 90 mainstream and obscure module formats including Protracker (MOD),
Scream Tracker 3 (S3M), Fast Tracker II (XM), and Impulse Tracker (IT).

Many compressed module formats are supported, including popular Unix, DOS,
and Amiga file packers including gzip, bzip2, SQSH, PowerPacker, etc.

This package contains the xmp plugin for the Audacious media player.

%prep
%if 0%{?fedora}
# Enforce availability of the audacious(plugin-api) dependency.
%{!?aud_plugin_dep:echo 'No audacious(plugin-api) dependency!' && exit -1}
%endif

%setup -qn %{name}-%{commit}
%patch0 -p1 -b .r

%build
make OPTFLAGS="%{optflags}" V=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc COPYING
%{audacious_input_plugin_dir}/*

%changelog
* Sat Nov 16 2013 Dominik Mierzejewski <rpm@greysector.net> - 4.0.0-0.4.20131107gitfae5d38
- updated to fae5d38
- fixes spin button in preferences

* Wed Oct 30 2013 Dominik Mierzejewski <rpm@greysector.net> - 4.0.0-0.3.e0213c0
- updated to e0213c0
- dropped obsolete condition

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.2.8c492d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 12 2013 Dominik Mierzejewski <rpm@greysector.net> - 4.0.0-0.1.8c492d7
- initial build based loosely on xmp.spec
